<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth', language 'en_ar', version '2.3'.
 *
 * @package     auth
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['alternatelogin'] = 'If ye enter a URL here, it will be used as the login page for this site. The page should contain a form which has the action property set to <strong>\'{$a}\'</strong> and return fields <strong>username</strong> and <strong>password</strong>.<br />Be careful not to enter an incorrect URL as ye may lock yourself out of this site.<br />Leave this setting blank to use the default login page.';
$string['auth_changingemailaddress'] = 'Ye have requested a change of email address, from {$a->oldemail} to {$a->newemail}. For security reasons, we are sending ye an email message at the new address to confirm that it belongs to you. Yer email address will be updated as soon as ye open the URL sent to ye in that message.';
$string['auth_fieldlock_expl'] = '<p><b>Lock value:</b> If enabled, will prevent Moodle users and admins from editing the field directly. Use this option if ye are maintaining this data in the external auth system. </p>';
$string['auth_fieldlocks_help'] = '<p>Ye can lock user data fields. This is useful for sites where the user data is maintained by the administrators manually by editing user records or uploading using the \'Upload users\' facility. If ye are locking fields that are required by Moodle, make sure that ye provide that data when creating user accounts or the accounts will be unusable.</p><p>Consider setting the lock mode to \'Unlocked if empty\' to avoid this problem.</p>';
$string['auth_invalidnewemailkey'] = 'Error: if ye are trying to confirm a change of email address, ye may have made a mistake in copying the URL we sent ye by email. Please copy the address and try again.';
$string['auth_outofnewemailupdateattempts'] = 'Ye have run out of allowed attempts to update yer email address. Yer update request has been cancelled.';
$string['auth_passwordisexpired'] = 'Yer password is expired. Do ye want change yer password now?';
$string['auth_passwordwillexpire'] = 'Yer password will expire in {$a} days. Do ye want change yer password now?';
$string['auth_updateremote_ldap'] = '<p><b>Note:</b> Updating external LDAP data requires that ye set binddn and bindpw to a bind-user with editing privileges to all the user records. It currently does not preserve multi-valued attributes, and will remove extra values on update. </p>';
$string['auth_user_creation'] = 'New (anonymous) users can create user accounts on the external authentication source and confirmed via email. If ye enable this , remember to also configure module-specific options for user creation.';
$string['authinstructions'] = 'Leave this blank for the default login instructions to be displayed on the login page. If ye want to provide custom login instructions, enter them here.';
$string['changepasswordhelp'] = 'Here ye can specify a location at which yer users can recover or change their username/password if they\'ve forgotten it. This will be provided to users as a button on the login page and their user page. If ye leave this blank the button will not be printed.';
$string['emailchangepending'] = 'Change pending. Open the link sent to ye at {$a->preference_newemail}.';
$string['emailnowexists'] = 'The email address ye tried to assign to yer profile has been assigned to someone else since yer original request. Yer request for change of email address is hereby cancelled, but ye may try again with a different address.';
$string['emailupdatemessage'] = 'Dear {$a->fullname},

Ye have requested a change of yer email address for yer user account at {$a->site}. Please open the following URL in yer browser in order to confirm this change.

{$a->url}';
$string['enterthenumbersyouhear'] = 'Enter the numbers ye hear';
$string['forgottenpassword'] = 'If ye enter a URL here, it will be used as the lost password recovery page for this site. This is intended for sites where passwords are handled entirely outside of Moodle. Leave this blank to use the default password recovery.';
$string['nopasswordchangeforced'] = 'Ye cannot proceed without changing yer password, however there is no available page for changing it. Please contact yer Moodle Administrator.';
$string['potentialidps'] = 'Log in using yer account on:';
$string['recaptcha_help'] = 'The CAPTCHA is for preventing abuse from automated programs. Simply enter the words in the box, in order and separated by a space.

If ye are not sure what the words are, ye can try getting another CAPTCHA or an audio CAPTCHA.';
$string['showguestlogin'] = 'Ye can hide or show the guest login button on the login page.';
$string['stdchangepassword_explldap'] = 'NOTE: It is recommended that ye use LDAP over an SSL encrypted tunnel (ldaps://) if the LDAP server is remote.';
