<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'mnet', language 'en_ar', version '2.3'.
 *
 * @package     mnet
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aboutyourhost'] = 'About yer server';
$string['deletedhostinfo'] = 'This host has been deleted. If ye want to undelete it, switch the deleted status back to \'No\'.';
$string['deletekeycheck'] = 'Are ye absolutely sure ye want to delete this key?';
$string['deleteoutoftime'] = 'Yer 60-second window for deleting this key has expired. Please start again.';
$string['deletewrongkeyvalue'] = 'An error has occurred. If ye were not trying to delete yer server\'s SSL key, it is possible ye have been the subject of a malicious attack. No action has been taken.';
$string['duplicate_usernames'] = 'We failed to create an index on the columns "mnethostid" and "username" in yer user table.<br />This can occur when ye have <a href="{$a}" target="_blank">duplicate usernames in yer user table</a>.<br />Yer upgrade should still complete successfully. Click on the link above, and instructions on fixing this problem will appear in a new window. Ye can attend to that at the end of the upgrade.<br />';
$string['error7020'] = 'This error normally occurs if the remote site has created a record for ye with the wrong wwwroot, for example, http://yoursite.com instead of http://www.yoursite.com. Ye should contact the administrator of the remote site with yer wwwroot (as specified in config.php) asking her to update her record for yer host.';
$string['error7022'] = 'The message ye sent to the remote site was encrypted properly, but not signed. This is very unexpected; ye should probably file a bug if this occurs (giving as much information as possible about the application versions in question, etc.';
$string['error7023'] = 'The remote site has tried to decrypt yer message with all the keys it has on record for yer site. They have all failed. Ye might be able to fix this problem by manually re-keying with the remote site. This is unlikely to occur unless you\'ve been out of communication with the remote site for a few months.';
$string['error7024'] = 'Ye send an unencrypted message to the remote site, but the remote site doesn\'t accept unencrypted communication from yer site. This is very unexpected; ye should probably file a bug if this occurs (giving as much information as possible about the application versions in question, etc.';
$string['error7026'] = 'The key that yer message was signed with differs from the key that the remote host has on file for yer server. Further, the remote host attempted to fetch yer current key and failed to do so. Please manually re-key with the remote host and try again.';
$string['expireyourkeyexplain'] = 'Moodle automatically rotates yer keys every 28 days (by default) but ye have the option to <em>manually</em> expire this key at any time. This will only be useful if ye believe this key has been compromised. A replacement will be immediately automatically generated.<br />Deleting this key will make it impossible for other applications to communicate with you, until ye manually contact each administrator and provide them with yer new key.';
$string['forbidden-transport'] = 'The transport method ye are trying to use is not permitted.';
$string['invalidhost'] = 'Ye must provide a valid host identifier';
$string['issubscribed'] = '{$a} is subscribing to this service on yer host.';
$string['keydeleted'] = 'Yer key has been successfully deleted and replaced.';
$string['keymismatch'] = 'The public key ye are holding for this host is different from the public key it is currently publishing. The currently published key is:';
$string['last_connect_time_help'] = 'The time that ye last connected to this host.';
$string['last_transport_help'] = 'The transport that ye used for the last connection to this host.';
$string['loginlinkmnetuser'] = '<br />If ye are MNet remote user and can <a href="{$a}">confirm yer email address here</a>, ye can be redirected to yer login page.<br />';
$string['mnet_session_prohibited'] = 'Users from yer home server are not currently permitted to roam to {$a}.';
$string['mnetidproviderdesc'] = 'Ye can use this facility to retrieve a link that ye can log in at, if ye can provide the correct email address to match the username ye previously tried to log in with.';
$string['mnetidprovidermsg'] = 'Ye should be able to login at yer {$a} provider.';
$string['nolocaluser'] = 'No local record exists for remote user, and it could not be created, as this host will not auto create users.  Please contact yer administrator!';
$string['nomodifyacl'] = 'Ye are not permitted to modify the MNet access control list.';
$string['notenoughidpinfo'] = 'Yer identity provider is not giving us enough information to create or update yer account locally. Sorry!';
$string['notpermittedtojump'] = 'Ye do not have permission to begin a remote session from this Moodle server.';
$string['notpermittedtojumpas'] = 'Ye can\'t begin a remote session while ye are logged in as another user.';
$string['notpermittedtoland'] = 'Ye do not have permission to begin a remote session.';
$string['peerprofilefielddesc'] = 'Here ye can override the global settings for which profile fields to send and import when new users are created';
$string['phperror'] = 'An internal PHP error prevented yer request being fulfilled.';
$string['profilefielddesc'] = 'Here ye can configure the list of profile fields that are sent and received over MNet when user accounts are created, or updated.  Ye can also override this for each MNet peer individually. Note that the following fields are always sent and are not optional: {$a}';
$string['publickeyrequired'] = 'Ye must provide a public key.';
$string['reallydeleteserver'] = 'Are ye sure ye want to delete the server';
$string['registerallhostsexplain'] = 'Ye can choose to register all hosts that try to connect to ye automatically. This means that a record will appear in yer hosts list for any MNet site that connects to ye and requests yer public key.<br />Ye have the option below to configure services for \'All hosts\' and by enabling some services there, ye are able to provide services to any remote server indiscriminately.';
$string['ssoacldescr'] = 'Use this page to grant/deny access to specific users from remote MNet hosts. This is functional when ye are offering SSO services to remote users. To control yer <em>local</em> users\' ability to roam to other MNet hosts, use the roles system to grant them the <em>mnetlogintoremote</em> capability.';
$string['ssoaclneeds'] = 'For this functionality to work, ye must have Networking on, plus the MNet authentication plugin enabled.';
$string['transport_help'] = 'These options are reciprocal, so ye can only force a remote host to use a signed SSL cert if yer server also has a signed SSL cert.';
$string['trustedhostsexplain'] = '<p>The trusted hosts mechanism allows specific machines to execute calls via XML-RPC to any part of the Moodle API. This is available for scripts to control Moodle behaviour and can be a very dangerous option to enable. If in doubt, keep it off.</p>
<p><strong>This is not needed for any standard MNet feature!</strong> Turn it on only if ye know what ye are doing.</p>
<p>To enable it, enter a list of IP addresses or networks,
one on each line. Some examples:</p>
Yer local host:<br />127.0.0.1<br />Yer local host (with a network block):<br />127.0.0.1/32<br />Only the host with IP address 192.168.0.7:<br />192.168.0.7/32<br />Any host with an IP address between 192.168.0.1 and 192.168.0.255:<br />192.168.0.0/24<br />Any host whatsoever:<br />192.168.0.0/0<br />Obviously the last example is <strong>not</strong> a recommended configuration.';
$string['usercannotchangepassword'] = 'Ye cannot change yer password here since ye are a remote user.';
$string['userchangepasswordlink'] = '<br /> Ye may be able to change yer password at yer <a href="{$a->wwwroot}/login/change_password.php">{$a->description}</a> provider.';
$string['usernotfullysetup'] = 'Yer user account is incomplete.  Ye need to go <a href="{$a}">back to yer provider</a> and ensure yer profile is completed there.  Ye may need to log out and in again for this to take effect.';
$string['usersareonline'] = 'Warning: {$a} users from that server are currently logged on to yer site.';
$string['wrong-ip'] = 'Yer IP address does not match the address we have on record.';
$string['xmlrpc-missing'] = 'Ye must have XML-RPC installed in yer PHP build to be able to use this feature.';
$string['yourhost'] = 'Yer host';
$string['yourpeers'] = 'Yer peers';
